=== debian/changelog ===
diskscan (0.13-1) unstable; urgency=low

  * Initial release (Closes: #724458)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 07 Oct 2013 06:47:01 -0300
