=== debian/control ===
Source: diskscan
Section: utils
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Build-Depends: debhelper (>= 9), python-beautifulsoup, python-markdown
Standards-Version: 3.9.4
Homepage: https://github.com/baruch/diskscan
Vcs-Git: git://anonscm.debian.org/collab-maint/diskscan.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/diskscan.git;a=summary

Package: diskscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Enhances: f3
Description: scan HDD/SSD for bad or near failure sectors
 diskscan is intended to check a disk (hard disk, flash drive, pendrive etc)
 and find any bad sectors already present and assess it for any possible
 sectors that are in the process of going bad.
 .
 The operation is all read-only and doesn't causes damage to the data on the
 disk. As the program reads block device sectors it will work whether there
 is a filesystem or not.
 .
 diskscan reads the entire block device and notes the time it took to read a
 block. When there is an error it is immediately noted and also when there is
 a higher latency to read a block. A histogram of the block latency times is
 also given to assess the health of the disk.
 .
 diskscan also can be used to test the speed and quality of the removable /
 solid / portable medias, as flash drives. A good media will have all yours
 sectors read in the same speed.
