=== debian/watch ===
version=3
https://github.com/baruch/diskscan /tree/(?:diskscan-)?(\d+.*)
