=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND  = -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -fPIE -Wl,-z,now

%:
	dh $@ --parallel --with autotools-dev

override_dh_auto_configure:
	./autogen.sh
	dh_auto_configure

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.changelog
