=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, automake, python-beautifulsoup,
-               python-markdown, python-yaml
+Build-Depends: debhelper (>= 9),
+               ctags,
+               ninja-build,
+               python-beautifulsoup,
+               python-markdown,
+               python-yaml
 Standards-Version: 3.9.6
 Homepage: https://github.com/baruch/diskscan
 Vcs-Git: git://anonscm.debian.org/collab-maint/diskscan.git
