=== libscsicmd/Makefile ===
# Adapter for those who don't know ninja
all:
	ninja

clean:
	ninja -t clean

.PHONY: all clean
