=== debian/changelog ===
diskscan (0.17-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 08 Nov 2015 17:27:53 -0200

diskscan (0.17-1) unstable; urgency=medium

  * New upstream release. (Closes: #803794)
  * debian/clean: removed previous names and added new entries to remove
      some files forgotten by upstream when cleaning the source code.
  * debian/control: added libncurses5-dev and zlib1g-dev to Build-Depends
      field.
  * debian/copyright: updated some information about the upstream.
  * debian/patches: removed. The upstream fixed the source code. Thanks.
  * debian/rules:
      - Added the target override_dh_auto_clean to remove the directory
        'built', forgotten by upstream.
      - Added the target override_dh_auto_configure to run a single
        'configure' command.
  * debian/source/options: removed. The upstream fixed the source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Nov 2015 18:37:45 -0200
