=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>= 9),
                ctags,
+               libncurses5-dev,
                ninja-build,
                python-beautifulsoup,
                python-markdown,
-               python-yaml
+               python-yaml,
+               zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/baruch/diskscan
 Vcs-Git: git://anonscm.debian.org/collab-maint/diskscan.git
