=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,12 @@
 %:
 	dh $@
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -rf built
+
+override_dh_auto_configure:
+	./configure
+
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr
