## diskscan 0.19

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,15 @@
 cmake_minimum_required(VERSION 3.0.2)
 project(diskscan
-        VERSION 0.18)
+        VERSION 0.19)
 
 export(PACKAGE diskscan)
 
 set(PACKAGE_VERSION ${PROJECT_VERSION})
+
+# Default to a debug build
+if(NOT CMAKE_BUILD_TYPE)
+        set(CMAKE_BUILD_TYPE Debug)
+endif(NOT CMAKE_BUILD_TYPE)
 
 # Pull in zlib
 find_package(ZLIB REQUIRED)
@@ -24,14 +29,18 @@
 find_library(tinfo_LIBRARY NAMES tinfo curses)
 
 # Architecture files
+message("SYSTEM NAME: ${CMAKE_SYSTEM_NAME}")
 if (${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
         set(ARCH_SRC "arch/arch-linux.c")
         set(ARCH_INCLUDE "arch/arch-linux.h")
+elseif (${CMAKE_SYSTEM_NAME} STREQUAL "kFreeBSD")
+        set(ARCH_SRC "arch/arch-freebsd.c")
+        set(ARCH_INCLUDE "arch/arch-posix.h")
 elseif (${CMAKE_SYSTEM_NAME} STREQUAL "FreeBSD")
         set(ARCH_SRC "arch/arch-freebsd.c")
         set(ARCH_INCLUDE "arch/arch-posix.h")
 else()
-        set(ARCH_SRC "arch/arch-posix.c")
+        set(ARCH_SRC "arch/arch-generic.c")
         set(ARCH_INCLUDE "arch/arch-posix.h")
 endif()
