=== debian/changelog ===
diskscan (0.19-1build1) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:40:27 +0000

diskscan (0.19-1) unstable; urgency=medium

  * New upstream release.
  * The upstream adopted the debian/distclean.sh script. Consequently:
      - debian/clean: added to remove an additional 'distclean' file
        created by debhelper.
      - debian/copyright: updated the information about the distclean
        file
      - debian/distclean.sh: removed.
      - debian/rules: change the override_dh_clean to use the upstream
        distclean.sh file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 24 Nov 2015 19:29:20 -0200

diskscan (0.18-1) unstable; urgency=medium

  * New upstream release.
  * Upstream using CMake now.
  * debian/clean: removed. Using debian/distclean.sh.
  * debian/control:
      - Added cmake to Build-Depends field.
      - Removed ctags, ninja-build, python-beautifulsoup and python-markdown
        from Build-Depends field.
  * debian/copyright: updated an information about the packaging.
  * debian/dirs: not useful now. Removed.
  * debian/distclean.sh: added to remove some files forgotten by upstream
      after the build process.
  * debian/rules:
      - Added the override_dh_clean target to call the debian/distclean.sh
        script.
      - Removed the override_dh_auto_clean, override_dh_auto_clean and
        override_dh_auto_install targets.
      - Removed the 'V' variable (unneeded now).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 14 Nov 2015 08:29:16 -0200
