=== debian/control ===
--- 
+++ 
@@ -3,11 +3,8 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>= 9),
-               ctags,
+               cmake,
                libncurses5-dev,
-               ninja-build,
-               python-beautifulsoup,
-               python-markdown,
                python-yaml,
                zlib1g-dev
 Standards-Version: 3.9.6
