=== debian/changelog ===
diskscan (0.20-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Refer to common license file for CC0-1.0.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Kyle Robbertze ]
  * Bump standards-version to 4.6.1 (no change)
  * d/copyright: use correct name in licence field

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 13 Jul 2022 20:18:12 +0200

diskscan (0.20-2) unstable; urgency=medium

  * Move from python to python3 (Closes: #942985)
  * Move packaging to salsa
  * Move to debhelper-compat 12
  * Bump Standards-Version to 4.4.1 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 23 Oct 2019 12:32:36 +0200

diskscan (0.20-1) unstable; urgency=medium

  * New upstream version 0.20
  * debian/control:
      - Bumped Standards-Version to 4.1.1
      - Moved packaging VCS to gitlab until Alioth replacement is
        available

 -- Kyle Robbertze <krobbertze@gmail.com>  Sun, 01 Oct 2017 12:05:45 +0200

diskscan (0.19-4) unstable; urgency=medium

  * New maintainer (Closes: #848676)
  * debian/watch: corrected options so that it works

 -- Kyle Robbertze <krobbertze@gmail.com>  Mon, 09 Jan 2017 16:08:14 +0200

diskscan (0.19-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #848676).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 20 Dec 2016 07:37:25 -0200

diskscan (0.19-2) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 20 Nov 2016 20:28:54 -0200
