=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: diskscan
 Section: utils
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9),
-               cmake,
+Maintainer: Kyle Robbertze <paddatrapper@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 12),
+               debhelper-compat (= 13),
                libncurses5-dev,
-               python-yaml,
+               python3-yaml,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.6.1
 Homepage: https://github.com/baruch/diskscan
-Vcs-Git: git://anonscm.debian.org/collab-maint/diskscan.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/diskscan.git
+Vcs-Git: https://salsa.debian.org/debian/diskscan.git
+Vcs-Browser: https://salsa.debian.org/debian/diskscan
 
 Package: diskscan
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Enhances: f3
 Description: scan storage media for bad or near failure sectors
  diskscan is intended to find sectors of a storage medium
