=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake --sourcedirectory=. --builddirectory=.

override_dh_clean:
	dh_clean
	./distclean.sh
