=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/diskscan-$1\.tar\.gz/ \
  https://github.com/baruch/diskscan/tags .*/v?(\d\S+)\.tar\.gz
