=== debian/changelog ===
diskscan (0.21-2) unstable; urgency=medium

  * Move to DEP-14
  * Support CMAKE 4 (Closes: #1112848)
  * Update libnurses package name

 -- Kyle Robbertze <paddatrapper@debian.org>  Tue, 04 Nov 2025 13:24:22 +0000

diskscan (0.21-1) unstable; urgency=medium

  * New upstream version 0.21
  * Bump Standards-Version to 4.6.2 (no change)

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 16 Mar 2024 20:04:52 +0000
