=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Build-Depends: cmake,
                debhelper (>= 12),
                debhelper-compat (= 13),
-               libncurses5-dev,
+               libncurses-dev,
                python3-yaml,
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/baruch/diskscan
 Vcs-Git: https://salsa.debian.org/debian/diskscan.git
 Vcs-Browser: https://salsa.debian.org/debian/diskscan
