=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 %:
 	dh $@ --buildsystem=cmake --sourcedirectory=. --builddirectory=.
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_POLICY_VERSION_MINIMUM=3.5
+
 override_dh_clean:
 	dh_clean
 	./distclean.sh
